Bug 224674 - Mk/bsd.port.mk: make package-depends-list does not recognize flavor
Summary: Mk/bsd.port.mk: make package-depends-list does not recognize flavor
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-29 15:15 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2018-05-13 13:51 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2017-12-29 15:15:11 UTC
% cd /usr/ports/devel/py-pytz/
% make package-depends-list
realpath: /usr/ports/devel/py-setuptools@py36: No such file or directory
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/py-pytz
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-04 19:16:05 UTC
Fixed by bdrewery@ in r458041. Thanks!
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-04 19:28:34 UTC
(In reply to Po-Chuan Hsieh from comment #1)

Hmm, I reopen this PR because it seems not solved yet.
bdrewery@ is cc'd.

% grep python= /etc/make.conf
DEFAULT_VERSIONS+=python=3.6

% /usr/ports/devel/py-pytz

% make package-depends-list
py27-setuptools-38.2.5 /usr/ports/devel/py-setuptools devel/py-setuptools
py36-setuptools-38.2.5 /usr/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.4 /usr/ports/lang/python36 lang/python36
libffi-3.2.1_2 /usr/ports/devel/libffi devel/libffi
indexinfo-0.3.1 /usr/ports/print/indexinfo print/indexinfo
readline-7.0.3_1 /usr/ports/devel/readline devel/readline

In this case, py27-setuptools is erroneously added to the list.
Comment 3 Bryan Drewery freebsd_committer 2018-01-24 19:13:25 UTC
~/svn/ports/devel/py-pytz # make -V DEFAULT_VERSIONS
python=3.6
~/svn/ports/devel/py-pytz # make package-depends-list
py36-setuptools-38.2.5 /root/svn/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.3 /root/svn/ports/lang/python36 lang/python36
libffi-3.2.1_1 /root/svn/ports/devel/libffi devel/libffi
indexinfo-0.2.6 /root/svn/ports/print/indexinfo print/indexinfo
readline-7.0.3 /root/svn/ports/devel/readline devel/readline
gettext-runtime-0.19.8.1_1 /root/svn/ports/devel/gettext-runtime devel/gettext-runtime


Seems fine now.

I made several follow-up commits after r458041 which fixed this.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-25 15:28:01 UTC
Do you have py27-setuptools installed?
It seems the result is still incorrect if py27-setuptools is installed.

% pkg info -x setuptools
py27-setuptools-38.2.5
py36-setuptools-38.2.5
py36-setuptools_scm-1.15.5

% cd /usr/ports/devel/py-pytz/
% make package-depends-list
py27-setuptools-38.2.5 /usr/ports/devel/py-setuptools devel/py-setuptools
py36-setuptools-38.2.5 /usr/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.4 /usr/ports/lang/python36 lang/python36
libffi-3.2.1_2 /usr/ports/devel/libffi devel/libffi
indexinfo-0.3.1 /usr/ports/print/indexinfo print/indexinfo
readline-7.0.3_1 /usr/ports/devel/readline devel/readline

% pkg delete py27-setuptools-38.2.5
...
% pkg info -x setuptools
py36-setuptools-38.2.5
py36-setuptools_scm-1.15.5
% make package-depends-list
py36-setuptools-38.2.5 /usr/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.4 /usr/ports/lang/python36 lang/python36
libffi-3.2.1_2 /usr/ports/devel/libffi devel/libffi
indexinfo-0.3.1 /usr/ports/print/indexinfo print/indexinfo
readline-7.0.3_1 /usr/ports/devel/readline devel/readline
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-01-26 16:02:48 UTC
Reopen this PR.
Comment 6 Bryan Drewery freebsd_committer 2018-01-26 18:01:00 UTC
~/svn/ports/devel/py-pytz # pkg info -x setuptools
py27-setuptools-36.5.0
py36-setuptools-36.5.0

~/svn/ports/devel/py-pytz # make package-depends-list
py36-setuptools-38.2.5 /root/svn/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.3 /root/svn/ports/lang/python36 lang/python36
libffi-3.2.1_1 /root/svn/ports/devel/libffi devel/libffi
indexinfo-0.2.6 /root/svn/ports/print/indexinfo print/indexinfo
readline-7.0.3 /root/svn/ports/devel/readline devel/readline
gettext-runtime-0.19.8.1_1 /root/svn/ports/devel/gettext-runtime devel/gettext-runtime

~/svn/ports/devel/py-pytz # make -V DEFAULT_VERSIONS
python=3.6

Seems fine to me on r459707
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-02-12 16:03:35 UTC
kevlo@ helped me to test it and he got the same result as mine.

I tested it again in a clean jail with up-to-date ports tree.
The result is the same as Comment #4.
If I deinstall py36-setuptools, the result is as follows:

% make -V DEFAULT_VERSIONS
python=3.6
% pkg info -x setuptools
py27-setuptools-38.5.1
% make package-depends-list
py27-setuptools-38.5.1 /usr/ports/devel/py-setuptools devel/py-setuptools
python36-3.6.4 /usr/ports/lang/python36 lang/python36
libffi-3.2.1_2 /usr/ports/devel/libffi devel/libffi
indexinfo-0.3.1 /usr/ports/print/indexinfo print/indexinfo
readline-7.0.3_1 /usr/ports/devel/readline devel/readline
gettext-runtime-0.19.8.1_1 /usr/ports/devel/gettext-runtime devel/gettext-runtime
Comment 8 Loïc Bartoletti 2018-02-17 07:19:33 UTC
Hi,

I confirm this issue especially using -DDEPENDS_SHOW_FLAVOR
Comment 9 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-05-13 13:51:45 UTC
% grep ^py27-pytz /usr/ports/INDEX-11
py27-pytz-2018.4,1|/usr/ports/devel/py-pytz|/usr/local|World Timezone Definitions for Python|/usr/ports/devel/py-pytz/pkg-descr|lwhsu@FreeBSD.org|devel python|gettext-runtime-0.19.8.1_1 indexinfo-0.3.1 libffi-3.2.1_2 py36-setuptools-39.0.1 python27-2.7.15 python36-3.6.5 readline-7.0.3_1|gettext-runtime-0.19.8.1_1 indexinfo-0.3.1 libffi-3.2.1_2 py36-setuptools-39.0.1 python27-2.7.15 python36-3.6.5 readline-7.0.3_1|http://pythonhosted.org/pytz/|||

There are python27-2.7.15, python36-3.6.5 and py36-setuptools-39.0.1.
But there is no py27-setuptools-39.0.1.